/*
 * Class DYNAMIC_CHAIN [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1732 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1732 [] = {0xFF01,1551,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1732 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1732 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1732 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1732 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1732 [] = {1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1732 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1732 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1732 [] = {0xFF01,1717,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1732 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1732 [] = {0xFF01,1731,860,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1732 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1732[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1732), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1732), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1732), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1732), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1732), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1732), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1732), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1732), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1732), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1732), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1732), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1732), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1732), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1732), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1732), 8811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1732), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1732), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1732), 8804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1732), 12101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1732), 12104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12109, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1732), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12105, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1732), 12101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1732), 12102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12093, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1732), 11013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1732), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12116, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1732), 12097, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1732), 12098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12094, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1732), 12386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1732), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1732), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1732(void)
{
	IDSC(desc_1732, 0, 1731);
	IDSC(desc_1732 + 1, 1, 1731);
	IDSC(desc_1732 + 32, 1134, 1731);
	IDSC(desc_1732 + 41, 1060, 1731);
	IDSC(desc_1732 + 47, 1444, 1731);
	IDSC(desc_1732 + 56, 1570, 1731);
	IDSC(desc_1732 + 59, 1534, 1731);
	IDSC(desc_1732 + 66, 916, 1731);
	IDSC(desc_1732 + 72, 1135, 1731);
	IDSC(desc_1732 + 81, 1088, 1731);
	IDSC(desc_1732 + 83, 1245, 1731);
	IDSC(desc_1732 + 86, 387, 1731);
	IDSC(desc_1732 + 88, 636, 1731);
	IDSC(desc_1732 + 102, 778, 1731);
	IDSC(desc_1732 + 103, 340, 1731);
	IDSC(desc_1732 + 111, 254, 1731);
	IDSC(desc_1732 + 114, 554, 1731);
	IDSC(desc_1732 + 115, 878, 1731);
	IDSC(desc_1732 + 116, 794, 1731);
}


#ifdef __cplusplus
}
#endif
